  var fStarted = false;

  //入力後退避位置
  var gox=-300;
  var goy=-300;

  subwinLay['subwin']=new subwinLay('subwin',gox,goy,'');

  function getSubwin(oj,e,arg1){

    // 現在初期化
    if (fStarted == false) {
      fStarted = true;
    }

    // 構築用HTML
    ddata = '';
    ddata += '<HTML>\n';
    ddata += '<HEAD>';
    ddata += '<meta http-equiv="Content-Type" content="text/html;charset=SHIFT_JIS">\n';
    ddata += '<TITLE>Subwin</TITLE>\n';
    ddata += '</HEAD>\n';
    ddata += '<BODY>\n';
    ddata += '<table class="hint" border="1" cellpadding="6"><tr><td>';
    ddata += document.getElementById(arg1).innerHTML;
    ddata += '</td></tr></table>';
    ddata += '</BODY>\n';
    ddata += '</HTML>\n';

    subwinLay['subwin'].outputLAYOJ(getLayOj('subwin'),ddata);

    if(e!=null){
      var left = getMouseX(e);
      var top  = getMouseY(e);
      subwinLay['subwin'].moveLAYOJ(getStyleOj('subwin'),left,top);
    }

  }

  //--レイヤー生成
  function subwinLay(layName,x,y,dateType){
    this.id      = layName   // ドラッグできるようにするレイヤー名
    this.x       = x         // 初期left位置
    this.y       = y         // 初期top位置
    this.dateType = dateType // YYYY/MM/DD
    this.day     = new Array()
    this.div = '<div  id="'+layName+'" class="dragLays" '
              +'onmousedown="clickElement=\''+layName
              +'\';mdown_getSubwin(event);return false" '
              +'style="position:absolute;left:'+x+'px;top:'+y+'px">'
              + '</div>\n'
    document.write(this.div)
    return
  }
  subwinLay.prototype.moveLAYOJ   = moveLAYOJ   //メソッドを追加する
  subwinLay.prototype.outputLAYOJ = outputLAYOJ //メソッドを追加する
  subwinLay.prototype.zindexLAYOJ = zindexLAYOJ //メソッドを追加する

  //--レイヤー移動
  function moveLAYOJ(oj,x,y){
    fStarted = false;
//    oj.left = x;
    oj.left = Math.min(x, top.fbody.document.body.clientWidth - 400);

    oj.top  = y;
  }
  //--HTML出力
  function outputLAYOJ(oj,html){
    oj.innerHTML=html;
  }
  //--奥行きZ座標set
  function zindexLAYOJ(oj,zindex){
    oj.zIndex=zindex;
  }

  //--layNameで指定したオブジェクトを返す(必ずonload後に実行すること)
  function getLayOj(layName){
    return document.getElementById(layName);
  }

  function getStyleOj(clickElement){
    return (!!document.layers)?getLayOj(clickElement):getLayOj(clickElement).style
  }

  //--マウスX座標get
  function getMouseX(e){
    return document.body.scrollLeft+event.clientX;
  }

  //--マウスY座標get
  function getMouseY(e){
    return document.body.scrollTop+event.clientY;
  }

  function hideme() {
    moveLAYOJ(getStyleOj('subwin'),gox,goy);
  }

  function JumpTo(xxx) {
    document.getElementById(xxx).scrollIntoView(true);
  }

